package com.base.pdfviewerscannerwhite.ui.splash

import android.annotation.SuppressLint
import android.content.Intent
import com.base.pdfviewerscannerwhite.databinding.ActivitySplashBinding
import com.base.pdfviewerscannerwhite.helper.BaseActivity
import com.base.pdfviewerscannerwhite.ui.main.MainActivity

@SuppressLint("CustomSplashScreen")
class SplashActivity : BaseActivity<ActivitySplashBinding>(), SplashView {

    override val binding: ActivitySplashBinding by lazy {
        ActivitySplashBinding.inflate(layoutInflater)
    }


    override fun initView() {
        showAd()
    }

    override fun showAd() {
        startActivity(Intent(this, MainActivity::class.java))
    }

    override fun agreePrivacy() {
    }
}